// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;

const int MAXT = 100000;
const int MAXL = 1000000;


int main(int argc, char* argv[]) {
	registerValidation(argc, argv);

	int t = inf.readInt(1, MAXT, "t");
	inf.readEoln();
	ll suml = 0;

	for (int tn = 1; tn <= t; ++tn) {
		setTestCase(tn);
		int n = inf.readInt(1, MAXL, "n");
		inf.readEoln();
		inf.readLine(format("[0-9]{%d}", n), "s");
		suml += n;
	}

	ensure(suml <= MAXL);

	inf.readEof();

	return 0;
}